Subject: Re: maxima: The SGC segfault recovery test failed with memprotect_bad_fault_address, SGC disabled

From: Alex Vong <[email-masked]>
Date: Sat, 25 Nov 2017 22:15:06 +0800

Kei Kebreau <[email-masked]> writes:

> Kei Kebreau <[email-masked]> writes:
>>
>> I turns out that the issue is with stratified garbage collection in
>> GCL. The substitute from hydra.gnu.org does in fact give me the error
>> when I run "(si::sgc-on t)" in the REPL. I'm preparing a patch to update
>> GCL to the version used in Debian stable (GCL git tag "pathnames1.13") and
>> we'll see if changing that definition on the master branch will do anything.
>
> On second thought, the patches applied to Debian Sid's GCL look useful
> as well. Anyway, keep an eye out for my update patch.

Thank you! The patch works, the warning has gone. I am closing this bug.